Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

# Class PullExporterAutoConfigurationCustomizerProvider

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.PullExporterAutoConfigurationCustomizerProvider

All Implemented Interfaces:
  `io.opentelemetry.sdk.autoconfigure.spi.AutoConfigurationCustomizerProvider`, `io.opentelemetry.sdk.autoconfigure.spi.Ordered`

public class PullExporterAutoConfigurationCustomizerProvider extends Object implements io.opentelemetry.sdk.autoconfigure.spi.AutoConfigurationCustomizerProvider

## Constructor Summary

Constructors
Constructor
Description
`PullExporterAutoConfigurationCustomizerProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(io.opentelemetry.sdk.autoconfigure.spi.AutoConfigurationCustomizer autoConfiguration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.opentelemetry.sdk.autoconfigure.spi.Ordered

`order`

## Constructor Details

### PullExporterAutoConfigurationCustomizerProvider

public PullExporterAutoConfigurationCustomizerProvider()

## Method Details

### customize

public void customize(io.opentelemetry.sdk.autoconfigure.spi.AutoConfigurationCustomizer autoConfiguration)

Specified by:
  `customize` in interface `io.opentelemetry.sdk.autoconfigure.spi.AutoConfigurationCustomizerProvider`